# Documentación de &Qt; para la línea de órdenes

&Lauri.Watts; &Lauri.Watts.mail;
&Burkhard.Lueck; &Burkhard.Lueck.mail;
2016-06-04
Qt 6
KDE Frameworks
qt6options
7

# qt6options

Opciones comunes de la línea de órdenes para todas las aplicaciones basadas en el conjunto de herramientas &Qt;

    Aplicación Qt -style= estilo / -style estilo -stylesheet= hoja de estilos / -stylesheet hoja de estilos -widgetcount -reverse -qmljsdebugger= puerto -platform plataforma[:opciones] -platformpluginpath ruta -platformtheme tema de la plataforma -plugin complemento -qwindowgeometry geometría -qwindowicon icono -qwindowtitle título -reverse -session sesión -display máquina:pantalla -geometry geometría -dialogs= [xp|none] -fontengine= freetype -h, --help y -? en &Windows; -v --version

## Opciones

Las siguientes opciones se aplican a todas las aplicaciones &Qt;:

`-style=` estilo / `-style` estilo

  Define el estilo de la interfaz gráfica de la aplicación. Los valores posibles dependen de la configuración del sistema. Si &Qt; se ha compilado con estilos adicionales o si posee estilos adicionales como complementos, estarán disponibles para la opción `-style` de la línea de órdenes.

`-stylesheet=` hoja de estilos / `-stylesheet` hoja de estilos

  Define la hoja de estilos de la aplicación. El valor debe ser la ruta a un archivo que contiene la hoja de estilos.

`-widgetcount`

  Muestra el mensaje de depuración al final sobre el número de elementos gráficos que han quedado sin destruir y el número máximo de elementos gráficos que han existido al mismo tiempo.

`-reverse`

  Define la dirección de disposición de la aplicación a `Qt::RightToLeft`. Esta opción está pensada para ayudar en la depuración y no debería usarse en producción. El valor predeterminado se detecta automáticamente a partir de la configuración local del usuario (consulte también `QLocale::textDirection()`).

`-qmljsdebugger=` puerto

  Activa el depurador QML/JS con el puerto indicado. El valor debe estar en el formato de puertos: 1234[,bloque], donde «bloque» es opcional y no hará que la aplicación espere hasta que un depurador se conecte a ella.

`-platform` plataforma[:opciones]

  Indica el complemento de abstracción de plataforma &Qt; (QPA).

`-platformpluginpath` ruta

  Indica la ruta a los complementos de la plataforma.

`-platformtheme` tema de la plataforma

  Define el tema de la plataforma.

`-plugin` complemento

  Indica complementos adicionales a cargar. El argumento puede aparecer varias veces.

`-qwindowgeometry` geometría

  Indica la geometría de la ventana principal usando la sintaxis de &X11;. Por ejemplo: -qwindowgeometry 100x100+50+50

`-qwindowicon` icono

  Define el icono predeterminado de la ventana.

`-qwindowtitle` título

  Define el título de la primera ventana.

`-session` sesión

  Restaura la aplicación desde una sesión anterior.

`-display` máquina:pantalla

  Cambia las pantallas en &X11;. Tiene preferencia sobre la variable de entorno `DISPLAY`.

`-geometry` geometría

  Indica la geometría de la ventana principal en &X11;. Por ejemplo: -geometry 100x100+50+50

`-dialogs=` [xp|none]

  Disponible solo para la plataforma &Windows;. «xp» usa diálogos de estilo nativos; «none» los desactiva.

`-fontengine=` freetype

  Usa el motor de tipos de letra FreeType.

`-h, --help y -? en &Windows;`

  Muestra todas las opciones y la descripción de la aplicación.

`-v --version`

  Muestra el texto de la versión de la aplicación.

## Vea también

kf6options(7)

## Autores

Página de manual escrita originalmente por &Lauri.Watts; &Lauri.Watts.mail;

Actualizada a &frameworks; 5 por &Burkhard.Lueck; &Burkhard.Lueck.mail;

Los archivos «info» para esta página «man» son de la documentación de QApplication, la documentación de QGuiApplication y la documentación de QCommandLineParser.